locked
BizTalk Health Monitor v4.1 maintenance script not available in dropdown for 2016 FP2 RRS feed

  • Question

  • Hi,

    I just applied the 2016 FP2 Update on our Biztalk. No problem so far except for the BHM snap-in.

    We have version 4.1 (released in june 2017) of BHM and now in the Maintenance section, no more scripts are available in the task list for any type of task we choose. Looking at the log and message in Biztalk information, it seems clear that BHM do not recognize this version :

    BASIC BIZTALK INFORMATION
    -------------------------
    Current BizTalk Machine name: SDBIZ999
    BizTalk Install Path        : C:\Program Files (x86)\Microsoft BizTalk Server 2016\
    BizTalk Version             : Build 3.13.247.2 : No Corresponding BizTalk Version Found

    And in the log:

    ...

    [6]6944: 1/15/2018 12:48:57 PM  Terminator::buttonExecute_Click Not Added Due to BTS Version or is TEST Script): ViewCountOfOrphanedCacheInstancesInAllHostsl, Operation: VIEW

    ...

    So, does someone knows when a version 4.2 (or 5.x) of BHM will be available for BTS 2016 FP2?

    Thanks!

     


    Monday, January 15, 2018 6:14 PM

Answers

  • Hello,

    This is a known issue in BHM 4.0 and 4.1 released before FP2.
    FP2 changed in fact the file version of BTSNTSVCx.exe and the Maintenance component of BHM (not the query/Rules repository) is checking this file to determine the BT version

    I fixed it BHM 4.2 which is already finalized and which should be avail this week or next one on the Microsoft DLC

    Contact me  if you need urgently to use the Maintenance component 

    JP Auconie
    BHM team
    jpierauc@microsoft.com

     


    Tuesday, January 16, 2018 9:06 AM

All replies

  • Hi ,

    I checked the details related to the 4.1 version of the BizTalk Health Monitoring tool it meantions that it supports the BzTalk 2016 FP1 , no mention whatsoever of the BizTalk FP2.

    I would suggest you to raise a query on the BizTalk User Voice group regarding this. Meanwhile I will check the compatibility of the BHM tool with the FP2 and report if I fins something.
    BzTalk Users Voice Forum 


    Mandar Dharmadhikari

    Tuesday, January 16, 2018 3:42 AM
    Moderator
  • Hello,

    This is a known issue in BHM 4.0 and 4.1 released before FP2.
    FP2 changed in fact the file version of BTSNTSVCx.exe and the Maintenance component of BHM (not the query/Rules repository) is checking this file to determine the BT version

    I fixed it BHM 4.2 which is already finalized and which should be avail this week or next one on the Microsoft DLC

    Contact me  if you need urgently to use the Maintenance component 

    JP Auconie
    BHM team
    jpierauc@microsoft.com

     


    Tuesday, January 16, 2018 9:06 AM